 /*API for registration*/
 extern "C" BOOL __stdcall SaveKey( char* Name, char* Key );
 extern "C" BOOL __stdcall LoadKey( char** Name, char** Key );
 extern "C" BOOL __stdcall CheckKey( char* Name, char* Key );
 extern "C" BOOL __stdcall DeleteKey();
 extern "C" BOOL __stdcall LoadAndCheckKey();
 extern "C" BOOL __stdcall CheckAndSaveKey( char* Name, char* Key );
 extern "C" char* __stdcall GetHardwareID();
 /*API for trial*/
 extern "C" BOOL __stdcall GetNumberOfExecutions( DWORD* Total, DWORD* Left );
 extern "C" BOOL __stdcall GetNumberOfDays( DWORD* Total, DWORD* Left );
 extern "C" BOOL __stdcall GetExpirationDate( WORD* Year, WORD* Month, WORD* Day );
